// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：新增气价
//author：feizhao
//date：2017-11-15
//discription：用于测试登陆后，综合业务-气价管理中新增气价信息
//step：1.登录主页面  2.定位气价管理-新增气价  3.录入新增的气价信息
//修改人：
//修改日期：
//修改内容：

//Account setting.
const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   'login tests': function (browser) {
     browser
     .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)
//点击综合业务-新增气价
     .click('#vc-tree-name-综合业务')
     .pause(1000)
     .click('#vc-tree-name-气价管理')
     .pause(1000)
     .click('.form-inline :nth-child(4) button')
     .pause(1000)
     .click('#f_user_type')
     .pause(300)
     .click('#非民用')
     .pause(300)
     .click('#f_gasproperties')
     .pause(300)
     .click('#工业用气')
     .pause(300)
     .click('#f_price_type')
     .pause(300)
     .click('#混合气价')
     .pause(300)
     .setValue('#gas-price-form :nth-child(3) :nth-child(3) div input[placeholder=气价名称]','非居民用气')
     .pause(1000)
     .clearValue('#gas-price-form :nth-child(4) :nth-child(2) input[type=number]')
     .pause(300)
     .setValue('#gas-price-form :nth-child(4) :nth-child(2) input[type=number]','2')
     .pause(500)
     .setValue('input[placeholder=生效日期]','2017-11-01')
     .pause(500)
     .setValue('input[placeholder=单价1]','5')
     .pause(500)
     .clearValue('input[placeholder=所占比例]')
     .pause(500)
     .setValue('input[placeholder=所占比例]','50')
     .pause(500)
     .setValue('input[placeholder=单价2]','6')
     .pause(500)
     .click('#comprehen-staPri-gasPri-确认')
     .pause(3000)
     .end();
   }
 }
